Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Git branches and tags are ignored by Redmine. When you browse a repository, there is no way to see an specific branch or tag.

Even worse, commits that aren't in the master branch, are not shown in the Activity section and are not associated to issues, making

almost impossible to track changes in issues when working on multiple versions (one branch per version).

Related issues:

Is duplicate of Redmine - Feature #1406: Browse through Git branches Closed 2008-06-09

History

#1 - 2008-06-07 18:44 - James Turnbull

I'd also welcome this functionality.

#2 - 2008-06-09 10:34 - Thomas Lecavelier

Should be a feature request. Marked as duplicated from #1406.

#3 - 2009-08-16 00:42 - Eric Davis

- Status changed from New to Closed

Committed Adam Soltys patch/branch with a few minor changes in r2840.  This is a pretty big change so I'd like to get some more feedback and bug

reports on how it's working in the wild.  I tested it with a few repositories and didn't run into any errors but there might be some edge cases that come

up.  Just open new bug reports for anything you find and I'll try to fix them.
